package cn.skcks.docking.gb28181.wvp.dto.stream;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.PropertyNamingStrategies;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

@JsonNaming(PropertyNamingStrategies.SnakeCaseStrategy.class)
@NoArgsConstructor
@Data
public class StreamContent {
    private String app;
    @DateTimeFormat(pattern= DatePattern.NORM_DATETIME_PATTERN)
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN)
    private String endTime;
    private String flv;
    private String fmp4;
    private String hls;
    private String httpsFlv;
    private String httpsFmp4;
    private String httpsHls;
    private String httpsTs;
    private String mediaServerId;
    private Double progress;
    private String rtc;
    private String rtcs;
    private String rtmp;
    private String rtsp;

    @DateTimeFormat(pattern= DatePattern.NORM_DATETIME_PATTERN)
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN)
    private String startTime;
    private String stream;
    private List<TracksDTO> tracks;
    private String ts;
    private String wsFlv;
    private String wsFmp4;
    private String wsHls;
    private String wsTs;
    private String wssFlv;
    private String wssFmp4;
    private String wssHls;

    @NoArgsConstructor
    @Data
    public static class TracksDTO {
        private Integer channels;
        private Integer codecId;
        private Integer codecType;
        private Integer fps;
        private Integer height;
        private Boolean ready;
        private Integer sampleBit;
        private Integer sampleRate;
        private Integer width;
    }
}
